* {
    margin: 0;
    padding: 0;
}

.clear {
    clear: both;
}


.slide-toggle {
    display: none;
}

.slidemenu {
    font-family: arial, sans-serif;
    max-width: 600px;
    margin: 50px auto;
    overflow: hidden;
}

.slidemenu label {
    width: 25%;
    text-align: center;
    display: block;
    float: left;
    color: #333;
    opacity: 0.2;

}

.slidemenu label:hover {
    cursor: pointer;
    color: #666;
}

.slidemenu label span {
    display: block;
    padding: 10px;
}


/*Bar Style*/

.slider {
    width: 100%;
    height: 5px;
    display: block;
    background: #ccc;
    margin-top: 10px;
    border-radius: 5px;
}

.slider .bar {
    width: 25%;
    height: 5px;
    background: #333;
    border-radius: 5px;
}

/*Animations*/
.slidemenu label,
.slider .bar {
    transition: all 500ms ease-in-out;
    -webkit-transition: all 500ms ease-in-out;
    -moz-transition: all 500ms ease-in-out;
}

/*Toggle*/

.slidemenu .slide-toggle:checked+label {
    opacity: 1;
}



.slidemenu #slide-item-1:checked~.slider .bar {
    margin-left: 0;
}

.slidemenu #slide-item-2:checked~.slider .bar {
    margin-left: 25%;
}

.slidemenu #slide-item-3:checked~.slider .bar {
    margin-left: 50%;
}

.slidemenu #slide-item-4:checked~.slider .bar {
    margin-left: 75%;
}